Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.engine.effect.particle
Class PSParticle

    java.lang.Object
      de.rico.engine.effect.particle.AbstractParticle
          de.rico.engine.effect.particle.PSParticle

    public class PSParticle

extends AbstractParticle

This class represents a particle using the OpenGL point sprite extension.

Author:
  Frank Bruns

Constructor Summary
`PSParticle(float size, long maxAge)` Creates a new particle object based on the OpenGL point sprite extension using the specified parameters

Method Summary
`void` | `draw(javax.media.opengl.GL gl, float x, float y, float z, com.sun.opengl.util.texture.Texture texture)` Draws the particle to the scene

Methods inherited from class de.rico.engine.effect.particle.AbstractParticle
`getAplha, getColor, getCurrentAge, getEndColor, getMass, getMaximumAge, getPosition, getRotation, getSize, getStartColor, getVelocity, setAlpha, setColor, setCurrentAge, setEndColor, setMass, setMaximumAge, setPosition, setPosition, setRotation, setRotation, setRotationFactor, setSize, setStartColor, setVelocity, setVelocity`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PSParticle

    public PSParticle(float size,
                      long maxAge)

  Creates a new particle object based on the OpenGL point sprite extension using the specified parameters

  Parameters:
    `size` - size of the particle
    `maxAge` - maximum age of the particle

Method Detail

### draw

    public void draw(javax.media.opengl.GL gl,
                     float x,
                     float y,
                     float z,
                     com.sun.opengl.util.texture.Texture texture)

  Description copied from class: `AbstractParticle`
  Draws the particle to the scene

  Specified by:
    `draw` in class `AbstractParticle`
    `x` - x-coordinate
    `y` - y-coordinate
    `z` - z-coordinate
    `texture` - texture to assign to the particle

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD